// -------------------------------------------------------------------------------------------------
// xsCuadroOpciones.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsCuadroOpciones_hpp__
#define __xsCuadroOpciones_hpp__

Clase xsCuadroOpciones : Publica xsObjeto
{
	Publica:
		
	    xsCuadroOpciones();

		Vacio crear();

		Vacio insertar(xsObjetoGUI* objetoInsertar, 
		               Entero       posicion);

		Vacio eliminar(Entero posicion);

		Vacio eliminarSeleccionado();
		
		Vacio anteponer(xsObjetoGUI* objetoInsertar);

		xsCuadroOpcionRenglon* obtenerSeleccionado();

		Vacio seleccionar(Entero indice);

		Vacio seleccionarTodos();

		Vacio desseleccionar(Entero indice);

		Vacio desseleccionarTodos();

		Vacio modoSeleccion(xsModoSeleccion modo);

		Entero longitudSeleccionados();

		Entero longitud();	

		Vacio limpiar();					

		xsCuadroOpcionRenglon* obtenerRenglon(Entero indice);
};

// Fin de la Definición del Archivo
#endif
